(* exception constructors - Definition v3 page 4 *)

(*
$File: Common/EXCON.sml $
$Date: 1992/01/29 14:59:46 $
$Revision: 1.10 $
$Locker:  $
*)

(*$EXCON *)

signature EXCON =
  sig 
    type id and longid and strid

    eqtype longexcon

    val mk_longexcon : longid -> longexcon
    and pr_longexcon : longexcon -> string

    eqtype excon

    val mk_excon : id -> excon
    and un_excon : excon -> id
    and pr_excon : excon -> string

    val mk_ExCon: string -> excon	(* NEW PARSER *)

    val decompose : longexcon -> strid list * excon

    val bogus : longexcon

    val < : excon * excon -> bool	(* Top-level printing. *)
  end;
