(* Variables - Definition v3 pages 4,5 *)

(*
$File: Common/VAR.sml $
$Date: 1992/01/29 15:07:21 $
$Revision: 1.13 $
$Locker:  $
*)

(*$VAR *)

signature VAR =
  sig
    type id and longid and strid

    eqtype longvar
    val mk_longvar : longid  -> longvar
    and pr_longvar : longvar -> string
    and un_longvar : longvar -> longid
    and idToLongId : id -> longid

    eqtype var
    val mkVar: id -> var
    val unVar: var -> id

    and pr_var : var -> string

    val unqualified : longvar -> bool
    and decompose   : longvar -> strid list * var

   (* The variable `prim'. *)
    val var_PRIM: var

   (* bogus long variable *)
    val bogus : longvar

    val < : var * var -> bool 
  end;
